import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetDispenserDashboardService = createAsyncThunk(
  "SLAUGHTER_GET_DISPENSERS_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "dispenser-allocations-dashboard/",
      {
        params: {
          role: getRoleFromUrl(),
          date1: d.date1,
          date2: d.date2,
          dispenser_key: d.key,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
